Callback functions for UBF stream processing 
Status: Closed Start date: 08/15/2018

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Implement callback version for following APIs:

ubf.h:extern NDRX_API int Bfprint (UBFH *p_ub, FILE * outf);

ubf.h:extern NDRX_API int Bextread (UBFH * p_ub, FILE *inf);

ubf.h:extern NDRX_API void Bboolpr (char * tree, FILE *outf);

ubf.h:extern NDRX_API int Bread (UBFH * p_ub, FILE * inf);

ubf.h:extern NDRX_API int Bwrite (UBFH *p_ub, FILE * outf);

Functions would look like:

ubf.h:extern NDRX_API int Bfprintcb (UBFH *p_ub, void *dataptr1, int (*p_writef)(char *buffer, void *dataptr1));

ubf.h:extern NDRX_API int Bextreadcb (UBFH * p_ub, void *dataptr1, long (*p_readf)(char *buffer, long bufsz, void *dataptr1));

ubf.h:extern NDRX_API void Bboolprcb (char * tree, void *dataptr1, int (*p_writef)(char *buffer, void *dataptr1));

ubf.h:extern NDRX_API int Breadcb (UBFH * p_ub, void *dataptr1, long (*p_readf)(char *buffer, long bufsz, void *dataptr1));

ubf.h:extern NDRX_API int Bwritecb (UBFH *p_ub, void *dataptr1, int (*p_writef)(char *buffer, void *dataptr1));

return codes for write: EXSUCCEED/EXFAIL

return codes for read: EXFAIL, 0 - EOF, > 0 number of bytes read

These functions would be helpful for high level integrations for example with Java where different interfaces cane be used for read or

write data.

History

#1 - 08/15/2018 10:55 AM - Madars

- Parent task set to #328

#2 - 08/15/2018 06:16 PM - Madars

- Status changed from New to In Progress

#3 - 08/15/2018 07:05 PM - Madars

- Description updated

#4 - 08/15/2018 07:06 PM - Madars

- Description updated

#5 - 09/03/2018 09:54 AM - Madars

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#6 - 09/03/2018 09:54 AM - Madars

- Status changed from Resolved to Closed
